
Cook: unzip 6.0
================================================================================
QA: checking package receipt...
Extracting source archive "unzip60.tar.gz"

Executing: compile_rules
CFLAGS   : -march=i486 -Os -pipe -mindirect-branch=thunk
CXXLAGS  : -march=i486 -Os -pipe -mindirect-branch=thunk
CPPFLAGS : -D_GLIBCXX_USE_C99_MATH=1
LDFLAGS  : -Wl,-Os,--as-needed

sh unix/configure "cc" "-I. -Ibzip2 -DUNIX  " "bzip2"
Check C compiler operation
  Ok
Check C compiler type (optimization options)
  GNU C (-O3)
Check for the C preprocessor
Check if we can use asm code
Check if compiler generates underlines
Check for ANSI options
Check for prototypes
Check the handling of const
Check for time_t
Check for size_t
Check for off_t
Check for Large File Support
  off_t is 8 bytes
-- yes we have Large File Support!
Check for wide char support
  __STDC_ISO_10646__ = 201706
-- have wchar_t with known UCS encoding - enabling Unicode support!
Check for setlocale support (needed for UNICODE Native check)
-- have setlocale, can check for charset type
--  - enabling UTF8-native support!
Check for gcc no-builtin flag
Check for fchmod
Check for fchown
Check for lchown
Check for nl_langinfo
Check for lchmod
Check for memset
Check for errno declaration
Check for directory libraries
Check for readlink
Check for directory include file
Check for non existent include files
Check for term I/O include file
Check for MBCS include files
Check for MBCS support
-- have MBCS support
Check for MBCS mbschr
Check for MBCS mbsrchr
Check for valloc
Check for /usr/local/bin and /usr/local/man
Checking for OS specialties
Check for symbolic links
Check bzip2 support
  Check for bzip2 sources in unzip's bzip2 subdirectory
-- bzip2 sources not found - no bzip2 support
eval make -f unix/Makefile unzips ACONF_DEP=flags `cat flags`
make[1]: Entering directory '/home/slitaz/wok/unzip/source/unzip-6.0'
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  unzip.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  crc32.c
cc -c   -x assembler-with-cpp -c -o crc_gcc.o crc_i386.S
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  crypt.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  envargs.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  explode.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  extract.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  fileio.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  globals.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  inflate.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  list.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  match.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  process.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  ttyio.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  ubz2err.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  unreduce.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  unshrink.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  zipinfo.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  unix/unix.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  funzip.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  -DFUNZIP -o cryptf.o crypt.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  -DFUNZIP -o globalsf.o globals.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  -DFUNZIP -o inflatef.o inflate.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  -DFUNZIP -o ttyiof.o ttyio.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  -DSFX -o unzipsfx.o unzip.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  -DSFX -o crc32_.o crc32.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  -DSFX -o crypt_.o crypt.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  -DSFX -o extract_.o extract.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  -DSFX -o fileio_.o fileio.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  -DSFX -o globals_.o globals.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  -DSFX -o inflate_.o inflate.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  -DSFX -o match_.o match.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  -DSFX -o process_.o process.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  -DSFX -o ttyio_.o ttyio.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  -DSFX -o ubz2err_.o ubz2err.c
cc -c -I. -Ibzip2 -DUNIX -O3 -DASM_CRC -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUNICODE_SUPPORT -DUTF8_MAYBE_NATIVE -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -D_MBCS  -DSFX -o unix_.o unix/unix.c
cc -o unzip  -Lbzip2 unzip.o crc32.o crc_gcc.o crypt.o envargs.o explode.o extract.o fileio.o globals.o inflate.o list.o match.o process.o ttyio.o ubz2err.o unreduce.o unshrink.o zipinfo.o unix.o  -s
unix.o: In function `set_symlnk_attribs':
unix.c:(.text+0x1891): warning: lchmod is not implemented and will always fail
cc -o funzip  funzip.o crc32.o crc_gcc.o cryptf.o globalsf.o inflatef.o ttyiof.o -s
cc -o unzipsfx  unzipsfx.o crc32_.o crc_gcc.o crypt_.o extract_.o fileio_.o globals_.o inflate_.o match_.o process_.o ttyio_.o ubz2err_.o unix_.o -s
unix_.o: In function `set_symlnk_attribs':
unix.c:(.text+0x1541): warning: lchmod is not implemented and will always fail
make[1]: Leaving directory '/home/slitaz/wok/unzip/source/unzip-6.0'
mkdir -p /home/slitaz/wok/unzip/install/bin
cp unzip funzip unzipsfx /home/slitaz/wok/unzip/install/bin
cp unix/zipgrep /home/slitaz/wok/unzip/install/bin
rm -f /home/slitaz/wok/unzip/install/bin/zipinfo
ln /home/slitaz/wok/unzip/install/bin/unzip /home/slitaz/wok/unzip/install/bin/zipinfo
mkdir -p /home/slitaz/wok/unzip/install/usr/share/man/man1
cp man/funzip.1 /home/slitaz/wok/unzip/install/usr/share/man/man1/funzip.1
cp man/unzip.1 /home/slitaz/wok/unzip/install/usr/share/man/man1/unzip.1
cp man/unzipsfx.1 /home/slitaz/wok/unzip/install/usr/share/man/man1/unzipsfx.1
cp man/zipgrep.1 /home/slitaz/wok/unzip/install/usr/share/man/man1/zipgrep.1
cp man/zipinfo.1 /home/slitaz/wok/unzip/install/usr/share/man/man1/zipinfo.1
chmod 755 /home/slitaz/wok/unzip/install/bin/funzip /home/slitaz/wok/unzip/install/bin/unzip /home/slitaz/wok/unzip/install/bin/unzipsfx /home/slitaz/wok/unzip/install/bin/zipgrep /home/slitaz/wok/unzip/install/bin/zipinfo
chmod 644 /home/slitaz/wok/unzip/install/usr/share/man/man1/funzip.1 /home/slitaz/wok/unzip/install/usr/share/man/man1/unzip.1 /home/slitaz/wok/unzip/install/usr/share/man/man1/unzipsfx.1 /home/slitaz/wok/unzip/install/usr/share/man/man1/zipgrep.1 /home/slitaz/wok/unzip/install/usr/share/man/man1/zipinfo.1
================================================================================

Installing (pkg/local): advancecomp-static-2.1
Compressing man pages...                                               Done
  Time: 1.49s. Size: 96674 B -> 34741 B. Save: 60 KB. Cache hit: 5/5.
================================================================================


Build dependencies to remove: 1
Removing: advancecomp-static


Pack: unzip 6.0
================================================================================
Executing: genpkg_rules
Copying folders and files...                                           Done
Copying "receipt"...                                                   Done
Executing strip on all files...                                        Done
  Time: 0.37s. Size: 489692 B -> 489692 B. Save: 0 KB.
Creating the list of files...                                          Done
Creating md5sum of files...                                            Done
Compressing the FS...                                                  Done
Updating receipt sizes...                                              Done
Creating full cpio archive...                                          Done
QA: checking for empty package...                                      Done
Removing old package "unzip-6.0.tazpkg"                                Done
The release checksum has changed.
================================================================================
Package "unzip-6.0.tazpkg" created


Summary for: unzip 6.0
================================================================================
Src file    : unzip60.tar.gz
Src size    : 1.3M
Source dir  : 7.8M
Produced    : 384.0K
Cook time   : 12s
Cook date   : 2018-10-17 04:40
Target arch : i486
--------------------------------------------------------------------------------
 # :  Packed : Compressed : Files : Package name
--------------------------------------------------------------------------------
 1 :  336.0K :      91.1K :     5 : unzip-6.0.tazpkg
================================================================================
